#include "dsp.h"

void dsperr(char *s) {
  fprintf(stderr,s);
  exit(1);
}

int opendsp(int bits,unsigned long rate,int stereo,int mode) {
  int f;

  f=open(DSPDEV,mode,0);
  if(!f) dsperr("Can't open audio device " DSPDEV ".\n");
  if(ioctl(f,SNDCTL_DSP_SAMPLESIZE,&bits)<0)
    dsperr("Can't set bitrate.\n");
  if(ioctl(f,SNDCTL_DSP_STEREO,&stereo)<0)
    dsperr("Can't set mono/stereo mode.\n");
  if(ioctl(f,SNDCTL_DSP_SPEED,&rate)<0)
    dsperr("Can't set audio sampling rate.\n");
  return f;
}

